Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JTextAreaOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JTextComponentOperator
                                    |
                                    +--org.netbeans.jemmy.operators.JTextAreaOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JTextAreaOperator
extends JTextComponentOperator
implements Timeoutable, Outputable

Class provides basic functions to operate with JTextArea (selection, typing, deleting)
Timeouts used:
JTextComponentOperator.PushKeyTimeout - time between key pressing and releasing during text typing
JTextComponentOperator.BetweenKeysTimeout - time to sleep between two chars typing
JTextComponentOperator.ChangeCaretPositionTimeout - maximum time to chenge caret position
JTextComponentOperator.TypeTextTimeout - maximum time to type text
ComponentOperator.WaitComponentTimeout - time to wait component displayed
ComponentOperator.WaitFocusTimeout - time to wait component focus
JScrollBarOperator.OneScrollClickTimeout - time for one scroll click
JScrollBarOperator.WholeScrollTimeout - time for the whole scrolling
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JTextAreaOperator.JTextAreaFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`JTextComponentOperator.JTextComponentByTextFinder, JTextComponentOperator.JTextComponentFinder, JTextComponentOperator.NoSuchTextException, JTextComponentOperator.TextChooser`

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `COLUMN_COUNT_DPROP` Identifier for a "column count" property.
`static java.lang.String` | `ROW_COUNT_DPROP` Identifier for a "row count" property.

Fields inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`IS_EDITABLE_DPROP, modifiersPressed, SELECTED_TEXT_DPROP, TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JTextAreaOperator(ContainerOperator cont)` Constructor.
`JTextAreaOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JTextAreaOperator object.
`JTextAreaOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JTextAreaOperator object.
`JTextAreaOperator(ContainerOperator cont, int index)` Constructor.
`JTextAreaOperator(ContainerOperator cont, java.lang.String text)` Constructor.
`JTextAreaOperator(ContainerOperator cont, java.lang.String text, int index)` Constructor.
`JTextAreaOperator(javax.swing.JTextArea b)` Constructor.

Method Summary
`void` | `append(java.lang.String string)` Maps `JTextArea.append(String)` through queue
`void` | `changeCaretPosition(int row, int column)` Moves caret.
`void` | `changeCaretRow(int row)` Moves caret to line.
`static javax.swing.JTextArea` | `findJTextArea(java.awt.Container cont, ComponentChooser chooser)` Searches JTextArea in container.
`static javax.swing.JTextArea` | `findJTextArea(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JTextArea in container.
`static javax.swing.JTextArea` | `findJTextArea(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Searches JTextArea by text.
`static javax.swing.JTextArea` | `findJTextArea(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Searches JTextArea by text.
`int` | `getColumns()` Maps `JTextArea.getColumns()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`int` | `getLineCount()` Maps `JTextArea.getLineCount()` through queue
`int` | `getLineEndOffset(int i)` Maps `JTextArea.getLineEndOffset(int)` through queue
`int` | `getLineOfOffset(int i)` Maps `JTextArea.getLineOfOffset(int)` through queue
`int` | `getLineStartOffset(int i)` Maps `JTextArea.getLineStartOffset(int)` through queue
`boolean` | `getLineWrap()` Maps `JTextArea.getLineWrap()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`int` | `getRows()` Maps `JTextArea.getRows()` through queue
`int` | `getTabSize()` Maps `JTextArea.getTabSize()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`boolean` | `getWrapStyleWord()` Maps `JTextArea.getWrapStyleWord()` through queue
`void` | `insert(java.lang.String string, int i)` Maps `JTextArea.insert(String, int)` through queue
`void` | `replaceRange(java.lang.String string, int i, int i1)` Maps `JTextArea.replaceRange(String, int, int)` through queue
`void` | `selectLines(int startLine, int endLine)` Select some text lines.
`void` | `selectText(int startRow, int startColumn, int endRow, int endColumn)` Select a part of text.
`void` | `setColumns(int i)` Maps `JTextArea.setColumns(int)` through queue
`void` | `setLineWrap(boolean b)` Maps `JTextArea.setLineWrap(boolean)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setRows(int i)` Maps `JTextArea.setRows(int)` through queue
`void` | `setTabSize(int i)` Maps `JTextArea.setTabSize(int)` through queue
`void` | `setTimeouts(Timeouts times)` Defines current timeouts.
`void` | `setWrapStyleWord(boolean b)` Maps `JTextArea.setWrapStyleWord(boolean)` through queue
`void` | `typeText(java.lang.String text, int row, int column)` Types text.
`void` | `usePageNavigationKeys(boolean yesOrNo)` Deprecated. All text operations are performed by TextDriver regitered for this operator type.
`static javax.swing.JTextArea` | `waitJTextArea(java.awt.Container cont, ComponentChooser chooser)` Waits JTextArea in container.
`static javax.swing.JTextArea` | `waitJTextArea(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JTextArea in container.
`static javax.swing.JTextArea` | `waitJTextArea(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs)` Waits JTextArea by text.
`static javax.swing.JTextArea` | `waitJTextArea(java.awt.Container cont, java.lang.String text, boolean ce, boolean ccs, int index)` Waits JTextArea by text.

Methods inherited from class org.netbeans.jemmy.operators.JTextComponentOperator
`addCaretListener, changeCaretPosition, changeCaretPosition, changeCaretPosition, clearText, copy, copyEnvironment, cut, enterText, findJTextComponent, findJTextComponent, findJTextComponent, findJTextComponent, getActions, getCaret, getCaretColor, getCaretPosition, getDisabledTextColor, getDisplayedText, getDocument, getFocusAccelerator, getHighlighter, getKeymap, getMargin, getPositionByText, getPositionByText, getPositionByText, getPositionByText, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getText, getUI, isEditable, modelToView, moveCaretPosition, paste, read, removeCaretListener, replaceSelection, scrollToPosition, select, selectAll, selectText, selectText, selectText, setCaret, setCaretColor, setCaretPosition, setDisabledTextColor, setDocument, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setText, setUI, typeText, typeText, viewToModel, waitCaretPosition, waitJTextComponent, waitJTextComponent, waitJTextComponent, waitJTextComponent, waitText, waitText, write`

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_COUNT_DPROP

    public static final java.lang.String COLUMN_COUNT_DPROP

  Identifier for a "column count" property.
  See Also:
    `getDump()`

### ROW_COUNT_DPROP

    public static final java.lang.String ROW_COUNT_DPROP

  Identifier for a "row count" property.
  See Also:
    `getDump()`

Constructor Detail

### JTextAreaOperator

    public JTextAreaOperator(javax.swing.JTextArea b)

  Constructor.
  Parameters:
    `b` - a component

### JTextAreaOperator

    public JTextAreaOperator(ContainerOperator cont,
                             ComponentChooser chooser,
                             int index)

  Constructs a JTextAreaOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JTextAreaOperator

    public JTextAreaOperator(ContainerOperator cont,
                             ComponentChooser chooser)

  Constructs a JTextAreaOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JTextAreaOperator

    public JTextAreaOperator(ContainerOperator cont,
                             java.lang.String text,
                             int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTextAreaOperator

    public JTextAreaOperator(ContainerOperator cont,
                             java.lang.String text)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `text` - Button text.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### JTextAreaOperator

    public JTextAreaOperator(ContainerOperator cont,
                             int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JTextAreaOperator

    public JTextAreaOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - a container
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJTextArea

    public static javax.swing.JTextArea findJTextArea(java.awt.Container cont,
                                                      ComponentChooser chooser,
                                                      int index)

  Searches JTextArea in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JTextArea instance or null if component was not found.

### findJTextArea

    public static javax.swing.JTextArea findJTextArea(java.awt.Container cont,
                                                      ComponentChooser chooser)

  Searches JTextArea in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JTextArea instance or null if component was not found.

### findJTextArea

    public static javax.swing.JTextArea findJTextArea(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs,
                                                      int index)

  Searches JTextArea by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JTextArea instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### findJTextArea

    public static javax.swing.JTextArea findJTextArea(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs)

  Searches JTextArea by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JTextArea instance or null if component was not found.
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJTextArea

    public static javax.swing.JTextArea waitJTextArea(java.awt.Container cont,
                                                      ComponentChooser chooser,
                                                      int index)

  Waits JTextArea in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
    `index` - Ordinal component index.
  Returns:
    JTextArea instance.
  Throws:
    `TimeoutExpiredException` -

### waitJTextArea

    public static javax.swing.JTextArea waitJTextArea(java.awt.Container cont,
                                                      ComponentChooser chooser)

  Waits JTextArea in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - a component chooser specifying searching criteria.
  Returns:
    JTextArea instance.
  Throws:
    `TimeoutExpiredException` -

### waitJTextArea

    public static javax.swing.JTextArea waitJTextArea(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs,
                                                      int index)

  Waits JTextArea by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
    `index` - Ordinal component index.
  Returns:
    JTextArea instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### waitJTextArea

    public static javax.swing.JTextArea waitJTextArea(java.awt.Container cont,
                                                      java.lang.String text,
                                                      boolean ce,
                                                      boolean ccs)

  Waits JTextArea by text.
  Parameters:
    `cont` - Container to search component in.
    `text` - Component text.
    `ce` - Compare text exactly.
    `ccs` - Compare text case sensitively.
  Returns:
    JTextArea instance.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `Operator.isCaptionEqual(String, String, boolean, boolean)`

### setTimeouts

    public void setTimeouts(Timeouts times)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JTextComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JTextComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JTextComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JTextComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### usePageNavigationKeys

    public void usePageNavigationKeys(boolean yesOrNo)

  Deprecated. All text operations are performed by TextDriver regitered for this operator type.

  Notifies whether "PageUp" and "PageDown" should be used to change caret position. If can be useful if text takes some pages.
  Parameters:
    `yesOrNo` - if page navigation keys need to be used.

### changeCaretRow

    public void changeCaretRow(int row)

  Moves caret to line.
  Parameters:
    `row` - Line to move caret to.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `JTextComponentOperator.changeCaretPosition(int)`, `JTextComponentOperator.changeCaretPosition(int)`, `changeCaretPosition(int, int)`

### changeCaretPosition

    public void changeCaretPosition(int row,
                                    int column)

  Moves caret.
  Parameters:
    `row` - Line to move caret to.
    `column` - Column to move caret to.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `JTextComponentOperator.changeCaretPosition(int)`, `changeCaretRow(int)`, `changeCaretPosition(int, int)`

### typeText

    public void typeText(java.lang.String text,
                         int row,
                         int column)

  Types text.
  Parameters:
    `text` - Text to be typed.
    `row` - Line to type text in.
    `column` - Column to type text from.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `JTextComponentOperator.typeText(String, int)`

### selectText

    public void selectText(int startRow,
                           int startColumn,
                           int endRow,
                           int endColumn)

  Select a part of text.
  Parameters:
    `startRow` - Start position row.
    `startColumn` - Start position column.
    `endRow` - End position row.
    `endColumn` - End position column.
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `JTextComponentOperator.selectText(int, int)`, `selectLines(int, int)`

### selectLines

    public void selectLines(int startLine,
                            int endLine)

  Select some text lines.
  Parameters:
    `startLine` - start selection
    `endLine` - end selection
  Throws:
    `TimeoutExpiredException` -
  See Also:
    `JTextComponentOperator.selectText(int, int)`, `selectText(int, int, int, int)`

### getDump

    public java.util.Hashtable getDump()

  Returns information about component.
  Overrides:
    `getDump` in class `JTextComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### append

    public void append(java.lang.String string)

  Maps `JTextArea.append(String)` through queue

### getColumns

    public int getColumns()

  Maps `JTextArea.getColumns()` through queue

### getLineCount

    public int getLineCount()

  Maps `JTextArea.getLineCount()` through queue

### getLineEndOffset

    public int getLineEndOffset(int i)

  Maps `JTextArea.getLineEndOffset(int)` through queue

### getLineOfOffset

    public int getLineOfOffset(int i)

  Maps `JTextArea.getLineOfOffset(int)` through queue

### getLineStartOffset

    public int getLineStartOffset(int i)

  Maps `JTextArea.getLineStartOffset(int)` through queue

### getLineWrap

    public boolean getLineWrap()

  Maps `JTextArea.getLineWrap()` through queue

### getRows

    public int getRows()

  Maps `JTextArea.getRows()` through queue

### getTabSize

    public int getTabSize()

  Maps `JTextArea.getTabSize()` through queue

### getWrapStyleWord

    public boolean getWrapStyleWord()

  Maps `JTextArea.getWrapStyleWord()` through queue

### insert

    public void insert(java.lang.String string,
                       int i)

  Maps `JTextArea.insert(String, int)` through queue

### replaceRange

    public void replaceRange(java.lang.String string,
                             int i,
                             int i1)

  Maps `JTextArea.replaceRange(String, int, int)` through queue

### setColumns

    public void setColumns(int i)

  Maps `JTextArea.setColumns(int)` through queue

### setLineWrap

    public void setLineWrap(boolean b)

  Maps `JTextArea.setLineWrap(boolean)` through queue

### setRows

    public void setRows(int i)

  Maps `JTextArea.setRows(int)` through queue

### setTabSize

    public void setTabSize(int i)

  Maps `JTextArea.setTabSize(int)` through queue

### setWrapStyleWord

    public void setWrapStyleWord(boolean b)

  Maps `JTextArea.setWrapStyleWord(boolean)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD